<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Sun Feb 12 09:57:47 AST 2017 -->
<title>D-Index</title>
<meta name="date" content="2017-02-12">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="D-Index";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">O</a>&nbsp;<a href="index-9.html">P</a>&nbsp;<a href="index-10.html">Q</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">T</a>&nbsp;<a name="_D_">
<!--   -->
</a>
<h2 class="title">D</h2>
<dl>
<dt><a href="../Interface/Deque.html" title="interface in Interface"><span class="strong">Deque</span></a>&lt;<a href="../Interface/Deque.html" title="type parameter in Deque">E</a>&gt; - Interface in <a href="../Interface/package-summary.html">Interface</a></dt>
<dd>
<div class="block">The Deque interface contains methods to access/remove an element in a deque
 Implementation of deque has no limitation on the type and size of an array</div>
</dd>
<dt><a href="../Adapter/DequeQueue.html" title="class in Adapter"><span class="strong">DequeQueue</span></a>&lt;<a href="../Adapter/DequeQueue.html" title="type parameter in DequeQueue">E</a>&gt; - Class in <a href="../Adapter/package-summary.html">Adapter</a></dt>
<dd>
<div class="block">This Generic adapter class implements queue interface and contains various methods for 
 manipulating Deque using Generic Array and Linked List (such as two way insert and delete).</div>
</dd>
<dt><span class="strong"><a href="../Adapter/DequeQueue.html#DequeQueue(Queue.ArrayDeque)">DequeQueue(ArrayDeque&lt;E&gt;)</a></span> - Constructor for class Adapter.<a href="../Adapter/DequeQueue.html" title="class in Adapter">DequeQueue</a></dt>
<dd>
<div class="block">Initializes an empty array of fixed size</div>
</dd>
<dt><span class="strong"><a href="../Adapter/DequeQueue.html#DequeQueue(Queue.LinkedListDeque)">DequeQueue(LinkedListDeque&lt;E&gt;)</a></span> - Constructor for class Adapter.<a href="../Adapter/DequeQueue.html" title="class in Adapter">DequeQueue</a></dt>
<dd>
<div class="block">Initializes LinkedListDeque</div>
</dd>
<dt><a href="../Adapter/DequeStack.html" title="class in Adapter"><span class="strong">DequeStack</span></a>&lt;<a href="../Adapter/DequeStack.html" title="type parameter in DequeStack">E</a>&gt; - Class in <a href="../Adapter/package-summary.html">Adapter</a></dt>
<dd>
<div class="block">This Generic adapter class extends stack class and contains various methods for 
 manipulating stack using Generic Array and Linked List.</div>
</dd>
<dt><span class="strong"><a href="../Adapter/DequeStack.html#DequeStack(Stack.ArrayStack)">DequeStack(ArrayStack&lt;E&gt;)</a></span> - Constructor for class Adapter.<a href="../Adapter/DequeStack.html" title="class in Adapter">DequeStack</a></dt>
<dd>
<div class="block">Initializes an empty array of fixed size</div>
</dd>
<dt><span class="strong"><a href="../Adapter/DequeStack.html#DequeStack(Stack.LinkedListStack)">DequeStack(LinkedListStack&lt;E&gt;)</a></span> - Constructor for class Adapter.<a href="../Adapter/DequeStack.html" title="class in Adapter">DequeStack</a></dt>
<dd>
<div class="block">Initializes LinkedList stack</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">O</a>&nbsp;<a href="index-9.html">P</a>&nbsp;<a href="index-10.html">Q</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">T</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
